# Uses of Class
org.jmol.adapter.readers.xml.XmlReader

Packages that use XmlReader
Package
Description
org.jmol.adapter.readers.more
org.jmol.adapter.readers.xml

## Uses of XmlReader in org.jmol.adapter.readers.more

Subclasses of XmlReader in org.jmol.adapter.readers.more
Modifier and Type
Class
Description
`class`
`CDXReader`
A reader for ChemDraw binary CDX files.
Methods in org.jmol.adapter.readers.more with parameters of type XmlReader
Modifier and Type
Method
Description
`protected void`
CDXReader.`processXml2(XmlReader parent, Object saxReader)`

## Uses of XmlReader in org.jmol.adapter.readers.xml

Subclasses of XmlReader in org.jmol.adapter.readers.xml
Modifier and Type
Class
Description
`class`
`XmlArgusReader`
A crude ArgusLab .agl file Reader - http://www.planaria-software.com/ Use this reader as a template for adding new XML readers.
`class`
`XmlCdxReader`
A reader for CambridgeSoft CDXML files.
`class`
`XmlChem3dReader`
An chem3d c3xml reader
`class`
`XmlCmlReader`
A CML2 Reader - If passed a bufferedReader (from a file or inline string), we generate a SAX parser and use callbacks to construct an AtomSetCollection.
`class`
`XmlMagResReader`
`class`
`XmlMolproReader`
A Molpro 2005 reader
`class`
`XmlMOReader`
An abstract class accessing MOReader -- currently just for XmlMolproReader only.
`class`
`XmlNmrmlReader`
A reader for the structure part of an nmrML file
`class`
`XmlOdysseyReader`
An Odyssey xodydata reader
`class`
`XmlQEReader`
QuantumEspresso XML reader
`class`
`XmlVaspReader`
Vasp vasprun.xml reader
`class`
`XmlXsdReader`
An XML reader for Materials Studio .xsd files http://accelrys.com/products/materials-studio/ Bob Hanson hansonr@stolaf.edu 6/3/09
Fields in org.jmol.adapter.readers.xml declared as XmlReader
Modifier and Type
Field
Description
`XmlReader`
XmlReader.`parent`
Methods in org.jmol.adapter.readers.xml with parameters of type XmlReader
Modifier and Type
Method
Description
`protected void`
XmlCdxReader.`processXml(XmlReader parent, Object saxReader)`
`protected void`
XmlChem3dReader.`processXml(XmlReader parent, Object saxReader)`
`protected void`
XmlCmlReader.`processXml(XmlReader parent, Object saxReader)`
the current state
`protected void`
XmlMagResReader.`processXml(XmlReader parent, Object saxReader)`
`protected void`
XmlMOReader.`processXml(XmlReader parent, Object saxReader)`
`protected void`
XmlQEReader.`processXml(XmlReader parent, Object saxReader)`
`protected void`
XmlReader.`processXml(XmlReader parent, Object saxReader)`
`protected void`
XmlVaspReader.`processXml(XmlReader parent, Object saxReader)`
`protected void`
XmlXsdReader.`processXml(XmlReader parent, Object saxReader)`
`protected void`
XmlReader.`processXml2(XmlReader parent, Object saxReader)`